#
# spec file for package rubygem-fluentd
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-fluentd
Version:        0.14.17
Release:        1.1
%define mod_name fluentd
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.1}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://fluentd.org/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-fluentd-rpmlintrc
Source2:        gem2rpm.yml
Source3:        gem2rpm.yml
Summary:        Fluentd event collector
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Fluentd is an open source data collector designed to scale and simplify log
management. It can collect, process and ship many kinds of data in near
real-time.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="COPYING ChangeLog README.md" \
  -f

%gem_packages

%changelog
* Tue May 30 2017 coolo@suse.com
- updated to version 0.14.17
  see installed ChangeLog
  [#]# Release v0.14.17 - 2017/05/29
  [#]## New features / Enhancements
  * in_tail: Add ignore_repeated_permission_error
    https://github.com/fluent/fluentd/pull/1574
  * server: Accept private key for TLS server without passphrase
    https://github.com/fluent/fluentd/pull/1575
  * config: Validate workers option on standalone mode
    https://github.com/fluent/fluentd/pull/1577
  [#]## Bug fixes
  * config: Mask all secret parameters in worker section
    https://github.com/fluent/fluentd/pull/1580
  * out_forward: Fix ack handling
    https://github.com/fluent/fluentd/pull/1581
  * plugin-config-format: Fix markdown format generator
    https://github.com/fluent/fluentd/pull/1585
* Tue May 23 2017 coolo@suse.com
- updated to version 0.14.16
  see installed ChangeLog
  [#]# Release v0.14.16 - 2017/05/13
  [#]## New features / Enhancements
  * config: Allow null byte in double-quoted string
    https://github.com/fluent/fluentd/pull/1552
  * parser: Support %%iso8601 special case for time_format
    https://github.com/fluent/fluentd/pull/1562
  [#]## Bug fixes
  * out_forward: Call proper method for each connection type
    https://github.com/fluent/fluentd/pull/1560
  * in_monitor_agent: check variable buffer is a Buffer instance
    https://github.com/fluent/fluentd/pull/1556
  * log: Add missing '<<' method to delegators
    https://github.com/fluent/fluentd/pull/1558
  * command: uninitialized constant Fluent::Engine in fluent-binlog-reader
    https://github.com/fluent/fluentd/pull/1568
  [#]# Release v0.14.15 - 2017/04/23
  [#]## New features / Enhancements
  * Add <worker N> directive
    https://github.com/fluent/fluentd/pull/1507
  * in_tail: Do not warn that directories are unreadable in the in_tail plugin
    https://github.com/fluent/fluentd/pull/1540
  * output: Add formatted_to_msgpack_binary? to Output plugin API
    https://github.com/fluent/fluentd/pull/1547
  * windows: Allow the Windows Service name Fluentd runs as to be configurable
    https://github.com/fluent/fluentd/pull/1548
  [#]## Bug fixes
  * in_http: Fix X-Forwarded-For header handling. Accpet multiple headers
    https://github.com/fluent/fluentd/pull/1535
  * Fix backward compatibility with Fluent::DetachProcess and Fluent::DetachMultiProcess
    https://github.com/fluent/fluentd/pull/1522
  * fix typo
    https://github.com/fluent/fluentd/pull/1521
    https://github.com/fluent/fluentd/pull/1523
    https://github.com/fluent/fluentd/pull/1544
  * test: Fix out_file test with timezone
    https://github.com/fluent/fluentd/pull/1546
  * windows: Quote the file path to the Ruby bin directory when starting fluentd as a windows service
    https://github.com/fluent/fluentd/pull/1536
* Fri Mar 24 2017 coolo@suse.com
- updated to version 0.14.14
  see installed ChangeLog
  [#]# Release v0.14.14 - 2017/03/23
  [#]## New features / Enhancements
  * in_http: Support 'application/msgpack` header
    https://github.com/fluent/fluentd/pull/1498
  * in_udp: Add message_length_limit parameter for parameter name consistency with in_syslog
    https://github.com/fluent/fluentd/pull/1515
  * in_monitor_agent: Start one HTTP server per worker on sequential port numbers
    https://github.com/fluent/fluentd/pull/1493
  * in_tail: Skip the refresh of watching list on startup
    https://github.com/fluent/fluentd/pull/1487
  * filter_parser: filter_parser: Add emit_invalid_record_to_error parameter
    https://github.com/fluent/fluentd/pull/1494
  * parser_syslog: Support RFC5424 syslog format
    https://github.com/fluent/fluentd/pull/1492
  * parser: Allow escape sequence in Apache access log
    https://github.com/fluent/fluentd/pull/1479
  * config: Add actual value in the placholder error message
    https://github.com/fluent/fluentd/pull/1497
  * log: Add Fluent::Log#<< to support some SDKs
    https://github.com/fluent/fluentd/pull/1478
  [#]## Bug fixes
  * Fix cleanup resource
    https://github.com/fluent/fluentd/pull/1483
  * config: Set encoding forcefully to avoid UndefinedConversionError
    https://github.com/fluent/fluentd/pull/1477
  * Fix Input and Output deadlock when buffer is full during startup
    https://github.com/fluent/fluentd/pull/1502
  * config: Fix log_level handling in <system>
    https://github.com/fluent/fluentd/pull/1501
  * Fix typo in root agent error log
    https://github.com/fluent/fluentd/pull/1491
  * storage: Fix a bug storage_create cannot accept hash as `conf` keyword argument
    https://github.com/fluent/fluentd/pull/1482
* Sat Feb 18 2017 coolo@suse.com
- updated to version 0.14.13
  see installed ChangeLog
  [#]# Release v0.14.13 - 2017/02/17
  [#]## New features / Enhancements
  * in_tail: Add 'limit_recently_modified' to limit watch files.
    https://github.com/fluent/fluentd/pull/1474
  * configuration: Improve 'flush_interval' handling for better message and backward compatibility
    https://github.com/fluent/fluentd/pull/1442
  * command: Add 'fluent-plugin-generate' command
    https://github.com/fluent/fluentd/pull/1427
  * output: Skip record when 'Output#format' returns nil
    https://github.com/fluent/fluentd/pull/1469
  [#]## Bug fixes
  * output: Secondary calculation should consider 'retry_max_times'
    https://github.com/fluent/fluentd/pull/1452
  * Fix regression of deprecatd 'process' module
    https://github.com/fluent/fluentd/pull/1443
  * Fix missing parser_regex require
    https://github.com/fluent/fluentd/issues/1458
    https://github.com/fluent/fluentd/pull/1453
  * Keep 'Fluent::BufferQueueLimitError' for exsting plugins
    https://github.com/fluent/fluentd/pull/1456
  * in_tail: Untracked files should be removed from watching list to avoid memory bloat
    https://github.com/fluent/fluentd/pull/1467
  * in_tail: directories should be skipped when the ** pattern is used
    https://github.com/fluent/fluentd/pull/1464
  * record_transformer: Revert "Use BasicObject for cleanroom" for `enable_ruby` regression.
    https://github.com/fluent/fluentd/pull/1461
  * buf_file: handle "Too many open files" error to keep buffer and metadata pair
    https://github.com/fluent/fluentd/pull/1468
* Thu Feb 16 2017 coolo@suse.com
- updated to version 0.14.12
  see installed ChangeLog
  [#]# Release v0.14.12 - 2017/01/30
  [#]## New features / Enhancements
  * Support multi process workers by `workers` option
    https://github.com/fluent/fluentd/pull/1386
  * Support TLS transport security layer by server plugin helper, and forward input/output plugins
    https://github.com/fluent/fluentd/pull/1423
  * Update internal log event handling to route log events to `@FLUENT_LOG` label if configured, suppress log events in startup/shutdown in default
    https://github.com/fluent/fluentd/pull/1405
  * Rename buffer plugin chunk limit parameters for consistency
    https://github.com/fluent/fluentd/pull/1412
  * Encode string values from configuration files in UTF8
    https://github.com/fluent/fluentd/pull/1411
  * Reorder plugin load paths to load rubygem plugins earlier than built-in plugins to overwrite them
    https://github.com/fluent/fluentd/pull/1410
  * Clock API to control internal thread control
    https://github.com/fluent/fluentd/pull/1425
  * Validate `config_param` options to restrict unexpected specifications
    https://github.com/fluent/fluentd/pull/1437
  * formatter: Add `add_newline` option to get formatted lines without newlines
    https://github.com/fluent/fluentd/pull/1420
  * in_forward: Add `ignore_network_errors_at_startup` option for automated cluster deployment
    https://github.com/fluent/fluentd/pull/1399
  * in_forward: Close listening socket in #stop, not to accept new connection request in early stage of shutdown
    https://github.com/fluent/fluentd/pull/1401
  * out_forward: Ensure to pack values in `str` type of msgpack
    https://github.com/fluent/fluentd/pull/1413
  * in_tail: Add `emit_unmatched_lines` to capture lines which unmatch configured regular expressions
    https://github.com/fluent/fluentd/pull/1421
  * in_tail: Add `open_on_every_update` to read lines from files opened in exclusive mode on Windows platform
    https://github.com/fluent/fluentd/pull/1409
  * in_monitor_agent: Add `with_ivars` query parameter to get instance variables only for specified instance variables
    https://github.com/fluent/fluentd/pull/1393
  * storage_local: Generate file store path using `usage`, with `root_dir` configuration
    https://github.com/fluent/fluentd/pull/1438
  * Improve test stability
    https://github.com/fluent/fluentd/pull/1426
  [#]## Bug fixes
  * Fix bug to ignore command line options: `--rpc-endpoint`, `--suppress-config-dump`, etc
    https://github.com/fluent/fluentd/pull/1398
  * Fix bug to block infinitely in shutdown when buffer is full and `overflow_action` is `block`
    https://github.com/fluent/fluentd/pull/1396
  * buf_file: Fix bug not to use `root_dir` even if configured correctly
    https://github.com/fluent/fluentd/pull/1417
  * filter_record_transformer: Fix to use BasicObject for clean room
    https://github.com/fluent/fluentd/pull/1415
  * filter_record_transformer: Fix bug that `remove_keys` doesn't work with `renew_time_key`
    https://github.com/fluent/fluentd/pull/1433
  * in_monitor_agent: Fix bug to crash with NoMethodError for some output plugins
    https://github.com/fluent/fluentd/pull/1365
  [#]# Release v0.14.11 - 2016/12/26
  [#]## New features / Enhancements
  * Add "root_dir" parameter in <system> directive to configure server root directory, used for buffer/storage paths
    https://github.com/fluent/fluentd/pull/1374
  * Fix not to restart Fluentd processes when unrecoverable errors occur
    https://github.com/fluent/fluentd/pull/1359
  * Show warnings in log when output flush operation takes longer time than threshold
    https://github.com/fluent/fluentd/pull/1370
  * formatter_csv: Raise configuration error when no field names are specified
    https://github.com/fluent/fluentd/pull/1369
  * in_syslog: Update implementation to use plugin helpers
    https://github.com/fluent/fluentd/pull/1382
  * in_forward: Add a configuration parameter "source_address_key"
    https://github.com/fluent/fluentd/pull/1382
  * in_monitor_agent: Add a parameter "include_retry" to get detail retry status
    https://github.com/fluent/fluentd/pull/1387
  * Add Ruby 2.4 into supported ruby versions
  [#]## Bug fixes
  * Fix to set process name of supervisor process
    https://github.com/fluent/fluentd/pull/1380
  * in_forward: Fix a bug not to handle "require_ack_response" correctly
    https://github.com/fluent/fluentd/pull/1389
  [#]# Release v0.14.10 - 2016/12/14
  [#]## New features / Enhancement
  * Add socket/server plugin helper to write TCP/UDP clients/servers as Fluentd plugin
    https://github.com/fluent/fluentd/pull/1312
    https://github.com/fluent/fluentd/pull/1350
    https://github.com/fluent/fluentd/pull/1356
    https://github.com/fluent/fluentd/pull/1362
  * Fix to raise errors when injected hostname is also specified as chunk key
    https://github.com/fluent/fluentd/pull/1357
  * in_tail: Optimize to read lines from file
    https://github.com/fluent/fluentd/pull/1325
  * in_monitor_agent: Add new parameter "include_config"(default: true)
    https://github.com/fluent/fluentd/pull/1317
  * in_syslog: Add "priority_key" and "facility_key" options
    https://github.com/fluent/fluentd/pull/1351
  * filter_record_transformer: Remove obsoleted syntax like "${message}" and not to dump records in logs
    https://github.com/fluent/fluentd/pull/1328
  * Add an option "--time-as-integer" to fluent-cat command to send events from v0.14 fluent-cat to v0.12 fluentd
    https://github.com/fluent/fluentd/pull/1349
  [#]## Bug fixes
  * Specify correct Oj options for newer versions (Oj 2.18.0 or later)
    https://github.com/fluent/fluentd/pull/1331
  * TimeSlice output plugins (in v0.12 style) raise errors when "utc" parameter is specified
    https://github.com/fluent/fluentd/pull/1319
  * Parser plugins cannot use options for regular expressions
    https://github.com/fluent/fluentd/pull/1326
  * Fix bugs not to raise errors to use logger in v0.12 plugins
    https://github.com/fluent/fluentd/pull/1344
    https://github.com/fluent/fluentd/pull/1332
  * Fix bug about shutting down Fluentd in Windows
    https://github.com/fluent/fluentd/pull/1367
  * in_tail: Close files explicitly in tests
    https://github.com/fluent/fluentd/pull/1327
  * out_forward: Fix bug not to convert buffer configurations into v0.14 parameters
    https://github.com/fluent/fluentd/pull/1337
  * out_forward: Fix bug to raise error when "expire_dns_cache" is specified
    https://github.com/fluent/fluentd/pull/1346
  * out_file: Fix bug to raise error about buffer chunking when it's configured as secondary
    https://github.com/fluent/fluentd/pull/1338
* Thu Dec  8 2016 wolfgang.engel@suse.com
- Updated schema
* Fri Nov 18 2016 wolfgang.engel@suse.com
- initial package
